Apple Battery Update 1.4

Tråden skapades och har fått 16 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Stockholm
  • 2009-03-02 23:21

What's new in this version:
This update improves the ability of MacBook batteries to maintain a charge when the system is shut down and not used for an extended period of time.

Additional Requirements:
MacBook (13-inch)
MacBook (13-inch Mid 2007)
MacBook (13-inch Late 2006)
MacBook (13-inch Late 2007)
MacBook (13-inch
Early 2008)
MacBook (13-inch Early 2009)
MacBook (13-inch Late 2008)

För Mac OS X 10.5

  • Medlem
  • Österbybruk
  • 2009-03-03 01:54

Tack för tipset, mitt batteri behöver uppdateras

Hmm, dyker inte upp i programuppdateraren för mig, har en late 2006.

  • Medlem
  • Lidingö
  • 2009-03-03 17:02

Den dyker inte upp för mig heller, jag har en MB C2D mid 2007

Inte för min Late 2006 heller

Och inte för min Late 2007. Den dyker kanske bara upp på de enskilda datorer som behöver uppdateringen.

För att ditt batteri ska behöva den här uppdateringen måste följande uppgifter om batteriet stämma.

1/ Device name är "ASMB016" eller "ASMB013".

2/ Pack lot code är 0002

3/ Firmware-version är 0110

http://support.apple.com/kb/HT3421

  • Medlem
  • International user
  • 2009-03-03 18:37

Ska den dyka upp vid behov?
Såhär ser det ut hos mig. (Se bild.)

Ska jag hämta manuellt?

Yes!!

Hämta den manuellt om den inte finns i software update.

  • Medlem
  • Österbybruk
  • 2009-03-04 17:07

Den måste hämtas manuellt, dök inte upp i programuppdatering för mig heller. Men kolla systeminfon som i ovanstående inlägg och kontrollera att ditt batteri behöver uppdateringen.

  • Medlem
  • Stockholm
  • 2009-12-29 21:34

Har batteriproblem på min sambos MacBook 1.1 och den saknar battery update 1.4. Tänkte börja med att installera den men problemet är att hon har Snow Leopard och när jag försöker installera battery update får jag upp en varningsruta om att jag måste ha OS X Leopard 10.5.6 eller senare installerat. Går det att komma runt det på något sätt? Hittar ingen bra lösning hos Apples supportsidor.

Det är fel på installeraren.

Den kollar om du har 10.4.11 eller senare, dock ej 10.5, samt om du har 10.5.6 eller senare, dock ej 10.6.

function isTigerRange()
	{
		if( (system.compareVersions(system.version.ProductVersion, '10.4.11') >= 0) && (system.compareVersions(system.version.ProductVersion, '10.5') < 0) ){ return true; } return false;
	}

	function isLeopardRange()
	{
		if( (system.compareVersions(system.version.ProductVersion, '10.5.6') >= 0) && (system.compareVersions(system.version.ProductVersion, '10.6') < 0) ){ return true; } return false;
	}
  • Medlem
  • Stockholm
  • 2009-12-29 21:56
Ursprungligen av marcushedenstrom:

Det är fel på installeraren.

Den kollar om du har 10.4.11 eller senare, dock ej 10.5, samt om du har 10.5.6 eller senare, dock ej 10.6.

Det var min teori också, men går det att komma runt det på något sätt? Att installera battery update 1.4 är nog det enda hoppet om man ska slippa köpa ett nytt batteri.

Ja jag la till lite text där efter att du började svara.

Om du högerklickar på installeraren och tar "Show package contents", sedan kollar i Contents så ser du "BatteryUpdate1.4.dist". Öppna den med en texteditor.

Sen kan du ju ändra detta på rad 62 till false.

Alltså från detta

if( !(isTigerRange() || isLeopardRange()) )

till detta

if(false)

Som jag förstår det är detta en firmwareuppgradering, alltså inget som ligger i systemet i sig. Så i motsats till vad jag skrev nyss finns den antagligen inte i SL.
Sen kan man ju undra hur bra det är att tvinga en firmwareuppgradering på det här sättet. Men om batteriet ändå är kört kan det väl inte skada.

  • Medlem
  • Stockholm
  • 2009-12-29 22:19

Jag har hittat det och ändrat till false men jag får inte spara, filen är skrivskyddad och den går inte att låsa upp?!

Lägg över paketet på hårddisken. Skivavbilden är bara läsbar.

  • Medlem
  • Stockholm
  • 2009-12-29 22:41
Ursprungligen av marcushedenstrom:

Lägg över paketet på hårddisken. Skivavbilden är bara läsbar.

Jösses, ibland gör man det inte lätt för sig. Här satt jag och försökte med chmod och chown i terminalen när lösningen var att dra paketet till skrivbordet. hehe

Hur som helst så gick det bra att installera nu men tyvärr verkar batteriet var rökt. Ska testa att nollställa SMC nu när uppdateringen är installerad men det känns som att det blir att betala 1395kr för ett nytt batteri. Lite surt på en 3,5 år gammal dator, nästa lika bra att köpa en ny. O:-)

Tack för hjälpen!

1
Bevaka tråden